"""
A subpackage with tools for handling diagnostic message.

It provides tools for:
 - creating new diagnostic message
 - storing historic information about diagnostic message that were either received or transmitted
 - Service Identifiers (SID) definition
 - Negative Response Codes (NRC) definition
"""

from .uds_message import UdsMessage, UdsMessageRecord
from .service_identifiers import RequestSID, ResponseSID, POSSIBLE_REQUEST_SIDS, POSSIBLE_RESPONSE_SIDS, \
    UnrecognizedSIDWarning
from .nrc import NRC
